log4cplus::spi::BaseFactory Class Referenceabstract

This is the base class for all factories. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::BaseFactory:
[legend]

## Public Member Functions

virtual | ~BaseFactory ()=0
virtual log4cplus::tstring const & | getTypeName () const =0
| Returns the typename of the objects this factory creates.

## Detailed Description

This is the base class for all factories.

Definition at line 49 of file factory.h.

## Constructor & Destructor Documentation

## ~BaseFactory()

virtual log4cplus::spi::BaseFactory::~BaseFactory | ( |  | ) |

pure virtual

## Member Function Documentation

## getTypeName()

virtual log4cplus::tstring const & log4cplus::spi::BaseFactory::getTypeName | ( |  | ) | const

pure virtual

Returns the typename of the objects this factory creates.

The documentation for this class was generated from the following file:

- factory.h